ChangeSet 1.871, 2002/12/12 12:36:38-08:00, greg@kroah.com

[PATCH] usbaudio.c: fix for urb callback function change



diff -Nru a/sound/usb/usbaudio.c b/sound/usb/usbaudio.c
--- a/sound/usb/usbaudio.c	Fri Dec 13 17:19:00 2002
+++ b/sound/usb/usbaudio.c	Fri Dec 13 17:19:00 2002
@@ -526,7 +526,7 @@
 /*
  * complete callback from data urb
  */
-static void snd_complete_urb(struct urb *urb)
+static void snd_complete_urb(struct urb *urb, struct pt_regs *regs)
 {
 	snd_urb_ctx_t *ctx = (snd_urb_ctx_t *)urb->context;
 	snd_usb_substream_t *subs = ctx->subs;
@@ -551,7 +551,7 @@
 /*
  * complete callback from sync urb
  */
-static void snd_complete_sync_urb(struct urb *urb)
+static void snd_complete_sync_urb(struct urb *urb, struct pt_regs *regs)
 {
 	snd_urb_ctx_t *ctx = (snd_urb_ctx_t *)urb->context;
 	snd_usb_substream_t *subs = ctx->subs;
